Subject: net-2.6.25 splat

From: Andrew Morton <[email-masked]>
Date: Wed, 12 Dec 2007 16:21:40 -0800

Pulled the tree a couple of hours ago.  The machine was running the full
-mm lineup, had been compiling kernels for an hour or so then oopsed in
icmpv6_rcv+0x5b/0x832.

I have a partial photo of the scrolled-off backtrace but the camera cable
is at home.

I don't know why it was doing ipv6 things at all.  Maybe there's ip6 stuff
running around google's corp network, dunno.

gdb says:

(gdb) l *0x17387
0x17387 is in icmpv6_rcv (net/ipv6/icmp.c:649).
644             struct in6_addr *saddr, *daddr;
645             struct ipv6hdr *orig_hdr;
646             struct icmp6hdr *hdr;
647             int type;
648     
649             if (xfrm6_policy_check(NULL, XFRM_POLICY_IN, skb) &&
650                 skb->sp->xvec[skb->sp->len - 1]->props.flags & XFRM_STATE_ICMP) {
651                     int nh;
652     
653                     if (!pskb_may_pull(skb, sizeof(*hdr) + sizeof(*orig_hdr)))

I'll set the display to 80x50 and retry..